Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EC_Timeout_Generator.h File Reference

`#include "ace/Event_Handler.h"`
`#include "EC_Timeout_Filter.h"`

Include dependency graph for EC_Timeout_Generator.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_EC_Timeout_Adapter
| Adapt the EC_Filter interface as an Event_Handler. More...
class | TAO_EC_Timeout_Generator
| Define the interface for the generators of timeout events. More...

## Detailed Description

Id:
  EC_Timeout_Generator.h,v 1.9 2003/10/28 18:34:19 bala Exp

Author:
  Carlos O'Ryan (coryan@cs.wustl.edu)

Based on previous work by Tim Harrison (harrison@cs.wustl.edu) and other members of the DOC group. More details can be found in:

http://doc.ece.uci.edu/~coryan/EC/index.html